petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawOpenGLUT

Opens an OpenGL window based on GLUT for use with the PetscDraw routines.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDrawOpenGLUT(MPI_Comm comm,const char display[],const char title[],int x,int y,int w,int h,PetscDraw *draw)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator that will share X-window
| display | - the X display on which to open,or null for the local machine
| title | - the title to put in the title bar,or null for no title
| x,y | - the screen coordinates of the upper left corner of window may use PETSC_DECIDE for these two arguments, then PETSc places the window
| w, h | - the screen width and height in pixels, or PETSC_DRAW_HALF_SIZE, PETSC_DRAW_FULL_SIZE, or PETSC_DRAW_THIRD_SIZE or PETSC_DRAW_QUARTER_SIZE

### Output Parameters

draw -the drawing context.

### Options Database Keys

| -nox | - Disables all x-windows output
| -draw_pause <pause> | - Sets time (in seconds) that the program pauses after PetscDrawPause() has been called (0 is default, -1 implies until user input).
| -draw_cmap <name> | - Sets the colormap to use.
| -draw_cmap_reverse | - Reverses the colormap.
| -draw_cmap_brighten | - Brighten (0 < beta < 1) or darken (-1 < beta < 0) the colormap.

### Note

When finished with the drawing context, it should be destroyed with PetscDrawDestroy().

### Note for Fortran Programmers

Whenever indicating null character data in a Fortran code, NULL_CHARACTER must be employed; using NULL is not correct for character data! Thus, NULL_CHARACTER can be used for the display and title input parameters.

### See Also

PetscDrawFlush(), PetscDrawDestroy(), PetscDrawOpenX(), PetscDrawCreate()

### Level

beginner

### Location

src/sys/classes/draw/impls/opengl/openglops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages